Subject: Re: [PowerPC] [PASEMI] Issue with the identification of ATA drives after the of/irq updates 2024-05-29

From: Marc Zyngier <[email-masked]>
Date: Tue, 02 Jul 2024 16:19:59 +0100

Christian,

On Sun, 30 Jun 2024 11:21:55 +0100,
Christian Zigotzky <[email-masked]> wrote:
> 
> Hello,
> 
> There is an issue with the identification of ATA drives with our
> P.A. Semi Nemo boards [1] after the
> commit "of/irq: Factor out parsing of interrupt-map parent
> phandle+args from of_irq_parse_raw()" [2].
> 
> Error messages:
> 
> ata2.00: failed to IDENTIFY (I/O error, err_mask=0x4)
> ata2.00: qc timeout after 10000 mssecs (cmd 0xec)
> 
> Screenshots [3]
> 
> I bisected yesterday [4] and "of/irq: Factor out parsing of
> interrupt-map parent phandle+args from of_irq_parse_raw()" [2] is the
> first bad commit.
> 
> Then I created a patch for reverting this first bad commit. I also
> reverted the changes in drivers/of/property.c. [5]
> 
> The patched kernel boots with successful detection of the ATA devices.
> 
> Please check the of/irq updates.

It is hard to understand what is going on with so little information.

Please provide the device tree for your platform. It isn't possible to
debug this without it, no matter how many pictures you provide. If it
doesn't exist in source form, you can dump it using:

# dtc -I dtb /sys/firmware/fdt

and posting the full output.

Additionally, a full dmesg of both working and non working boots would
be useful.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.